DCMTK - Bug #568

Output of getDecompressedColorModel() is not very useful (in case of error)
2013-10-24 09:39 - Jorg Riesmeier

Status: Closed Start date: 2013-10-24
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.4

Module: dcmdata, dcmijpeg, demijpls et al. Compiler:

Operating System:

Description
See: http://forum.dcmtk.org/viewtopic.php?f=1&t=3842

More details than "E: can't decompress first frame: Tag not found" would be needed, e.g. output to the logger which tag could not be
found.

Also "E: can't decompress first frame: lllegal call, perhaps wrong parameters” is ... when you need a debugger, something is "fishy".

Related issues:
Related to DCMTK - Feature #587: Method getUncompressedFrameSize() misses rob... Closed 2014-02-05

History

#1 - 2017-03-24 12:46 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#2 - 2017-12-07 11:54 - Marco Eichelberg

- Assignee set to Jérg Riesmeier

#3 - 2018-02-05 19:37 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#4 - 2018-02-06 11:43 - Jorg Riesmeier
- Target version changed from 3.6.6 to 3.6.4
- % Done changed from 0 to 100

Fixed with commit 8d81d64.

#5 - 2018-02-07 14:51 - J6rg Riesmeier

- Status changed from New to Closed
